Package org.apache.sling.maven.feature.launcher

# Class StartMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.maven.feature.launcher.StartMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="start", defaultPhase=PRE_INTEGRATION_TEST) public class StartMojo extends org.apache.maven.plugin.AbstractMojo
Start one or multiple Sling Feature(s).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.apache.maven.execution.MavenSession`
`mavenSession`
`protected org.apache.maven.project.MavenProject`
`project`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`StartMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### project

@Parameter(property="project", readonly=true, required=true) protected org.apache.maven.project.MavenProject project

### mavenSession

@Parameter(property="session", readonly=true, required=true) protected org.apache.maven.execution.MavenSession mavenSession

## Constructor Details

### StartMojo

public StartMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`